digiKam Developer Documentation: Digikam::FaceTags Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Digikam::FaceTags Class Reference

## Static Public Member Functions
static QList< QString > | allPersonNames ()
| A method to return a list of all person tag names in the DB.
static QList< QString > | allPersonPaths ()
| A method to return a list of all person tag paths in the DB.
static QList< int > | allPersonTags ()
| A method to return a list of all person tags in the DB.
static void | applyTagIdentityMapping (int tagId, const QMultiMap< QString, QString > &attributes)
| Map an existing tag to a FacesEngine Identity.
static void | ensureIsPerson (int tagId, const QString &fullName=QString())
| Ensure that the given tag is a person tag.
static QString | faceNameForTag (int tagId)
| Return a person's name for a tag.
static QString | getNameForRect (qlonglong imageid, const QRect &faceRect)
static int | getOrCreateTagForIdentity (const QMultiMap< QString, QString > &attributes)
| Use attributes as used by FacesEngine to identify or create a person tag; From the database, produce the identity attributes identifying the corresponding identity.
static int | getOrCreateTagForPerson (const QString &name, int parentId=-1, const QString &fullName=QString())
| First, looks for the given person name in person tags, and returns an ID.
static QMultiMap< QString, QString > | identityAttributes (int tagId)
static int | ignoredPersonTagId ()
static bool | isPerson (int tagId)
| Returns a boolean value indicating whether the given tagId represents a person.
static bool | isSystemPersonTagId (int tagId)
static bool | isTheIgnoredPerson (int tagId)
static bool | isTheUnconfirmedPerson (int tagId)
static bool | isTheUnknownPerson (int tagId)
static int | personParentTag ()
| The suggested parent tag for persons.
static int | scannedForFacesTagId ()
static int | tagForPerson (const QString &name, int parentId=-1, const QString &fullName=QString())
| Looks for the given person name under the People tags tree, and returns an ID.
static int | unconfirmedPersonTagId ()
static int | unknownPersonTagId ()

## Member Function Documentation

## ◆ applyTagIdentityMapping()

void Digikam::FaceTags::applyTagIdentityMapping | ( | int | tagId,
|  | const QMultiMap< QString, QString > & | attributes
| ) |  |
| static

Subsequently, the Identity can be retrieved via the identityAttributes().

## ◆ ensureIsPerson()

void Digikam::FaceTags::ensureIsPerson | ( | int | tagId,
|  | const QString & | fullName = `QString()`
| ) |  |
| static

If not, it will be converted. Optionally, pass the full name. (tag name is not changed).

## ◆ getOrCreateTagForPerson()

int Digikam::FaceTags::getOrCreateTagForPerson | ( | const QString & | name,
|  | int | parentId = `-1`,
|  | const QString & | fullName = `QString()`
| ) |  |
| static

If not, creates a new tag. Per default, fullName is the same as name.

## ◆ tagForPerson()

int Digikam::FaceTags::tagForPerson | ( | const QString & | name,
|  | int | parentId = `-1`,
|  | const QString & | fullName = `QString()`
| ) |  |
| static

Returns 0 if no name found. Per default, fullName is the same as name. As parentId of -1 signals to look for any tag, a valid parentId will limit the search to direct children of this tag. parentId of 0 means top-level tag.